GPT Image 2.5 Edit
統合
モデルID
openai/gpt-image-2.5/flare/edit
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://vit.doitong.com/api/v1/run/openai/gpt-image-2.5/flare/edit?wait=20" \
-H "Authorization: Bearer $DOITONG_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"prompt": "Same sneaker, but on a snowy mountain trail in daylight",
"images": [
"https://content.doitong.com/images/showcase/v3/gen_sneaker_ad.jpg"
],
"quality": "medium"
}'
# Still "queued" or "running"? Poll with the id from the response:
curl "https://vit.doitong.com/api/v1/requests/REQUEST_ID?wait=20" \
-H "Authorization: Bearer $DOITONG_API_KEY"
const API = "https://vit.doitong.com/api/v1";
const headers = {
"Authorization": "Bearer " + process.env.DOITONG_API_KEY,
"Content-Type": "application/json",
};
// Run the model; wait up to 20 s for the finished result in the same call
let res = await fetch(API + "/run/openai/gpt-image-2.5/flare/edit?wait=20", {
method: "POST",
headers,
body: JSON.stringify({
"prompt": "Same sneaker, but on a snowy mountain trail in daylight",
"images": [
"https://content.doitong.com/images/showcase/v3/gen_sneaker_ad.jpg"
],
"quality": "medium"
}),
});
let request = await res.json();
if (!res.ok) throw new Error(request.error.code + ": " + request.error.message);
// Not finished yet: long-poll until it is
while (request.status === "queued" || request.status === "running") {
res = await fetch(API + "/requests/" + request.id + "?wait=20", { headers });
request = await res.json();
}
if (request.status !== "succeeded") throw new Error(JSON.stringify(request.error));
console.log(request.outputs.map((o) => o.url), request.cost.credits + " API credits ($" + request.cost.usd + ")");
import os
import requests
API = "https://vit.doitong.com/api/v1"
headers = {"Authorization": "Bearer " + os.environ["DOITONG_API_KEY"]}
payload = {
"prompt": "Same sneaker, but on a snowy mountain trail in daylight",
"images": [
"https://content.doitong.com/images/showcase/v3/gen_sneaker_ad.jpg",
],
"quality": "medium",
}
# Run the model; wait up to 20 s for the finished result in the same call
r = requests.post(API + "/run/openai/gpt-image-2.5/flare/edit", params={"wait": 20}, json=payload, headers=headers)
request = r.json()
if not r.ok:
raise RuntimeError(request["error"]["code"] + ": " + request["error"]["message"])
# Not finished yet: long-poll until it is
while request["status"] in ("queued", "running"):
request = requests.get(API + "/requests/" + request["id"], params={"wait": 20}, headers=headers).json()
if request["status"] != "succeeded":
raise RuntimeError(request["error"])
print([o["url"] for o in request["outputs"]], request["cost"]["credits"], "API credits", "$" + request["cost"]["usd"])
# 1. Connect once (Claude Code; Cursor, VS Code, Claude Desktop: https://doitong.com/ja/developers/docs/mcp)
claude mcp add --transport http doitong-models https://vit.doitong.com/api/v1/mcp \
--header "Authorization: Bearer $DOITONG_API_KEY"
# 2. Your agent calls the "run" tool with:
{
"model_id": "openai/gpt-image-2.5/flare/edit",
"input": {
"prompt": "Same sneaker, but on a snowy mountain trail in daylight",
"images": [
"https://content.doitong.com/images/showcase/v3/gen_sneaker_ad.jpg"
],
"quality": "medium"
}
}
Doitong APIを通じてGPT Image 2.5 Editモデル(openai/gpt-image-2.5/flare/edit)を呼び出します。エージェント向けドキュメント: https://doitong.com/ja/developers/models/openai/gpt-image-2.5/flare/edit.md
POST https://vit.doitong.com/api/v1/run/openai/gpt-image-2.5/flare/edit?wait=20
Authorization: Bearer $DOITONG_API_KEY
Content-Type: application/json
{
"prompt": "Same sneaker, but on a snowy mountain trail in daylight",
"images": [
"https://content.doitong.com/images/showcase/v3/gen_sneaker_ad.jpg"
],
"quality": "medium"
}
レスポンスのステータスが"queued"または"running"の場合、"succeeded"になるまでGET https://vit.doitong.com/api/v1/requests/REQUEST_ID?wait=20をポーリングしてください。ファイルはoutputs[].urlにあります。同じボディでPOST https://vit.doitong.com/api/v1/quote/openai/gpt-image-2.5/flare/editを実行すると、実行前の正確な価格が返されます。
このリクエスト: ≈$0.12 120 APIクレジット このページで実行
新しいAPIキーです。 これは今だけ表示され、コードと下記のAPIキー欄にすでに入力されています。秘密にしてください。ブラウザで実行されるコードに決して含めないでください。
リクエストを作成
コントロールはモデルスキーマから生成されます。値を変更するとコードと価格が更新されます。
POST
/run/openai/gpt-image-2.5/flare/edit?wait=20
見積もり → $0.12
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://vit.doitong.com/api/v1/run/openai/gpt-image-2.5/flare/edit?wait=20" \
-H "Authorization: Bearer $DOITONG_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"prompt": "Same sneaker, but on a snowy mountain trail in daylight",
"images": [
"https://content.doitong.com/images/showcase/v3/gen_sneaker_ad.jpg"
],
"quality": "medium"
}'
# Still "queued" or "running"? Poll with the id from the response:
curl "https://vit.doitong.com/api/v1/requests/REQUEST_ID?wait=20" \
-H "Authorization: Bearer $DOITONG_API_KEY"
const API = "https://vit.doitong.com/api/v1";
const headers = {
"Authorization": "Bearer " + process.env.DOITONG_API_KEY,
"Content-Type": "application/json",
};
// Run the model; wait up to 20 s for the finished result in the same call
let res = await fetch(API + "/run/openai/gpt-image-2.5/flare/edit?wait=20", {
method: "POST",
headers,
body: JSON.stringify({
"prompt": "Same sneaker, but on a snowy mountain trail in daylight",
"images": [
"https://content.doitong.com/images/showcase/v3/gen_sneaker_ad.jpg"
],
"quality": "medium"
}),
});
let request = await res.json();
if (!res.ok) throw new Error(request.error.code + ": " + request.error.message);
// Not finished yet: long-poll until it is
while (request.status === "queued" || request.status === "running") {
res = await fetch(API + "/requests/" + request.id + "?wait=20", { headers });
request = await res.json();
}
if (request.status !== "succeeded") throw new Error(JSON.stringify(request.error));
console.log(request.outputs.map((o) => o.url), request.cost.credits + " API credits ($" + request.cost.usd + ")");
import os
import requests
API = "https://vit.doitong.com/api/v1"
headers = {"Authorization": "Bearer " + os.environ["DOITONG_API_KEY"]}
payload = {
"prompt": "Same sneaker, but on a snowy mountain trail in daylight",
"images": [
"https://content.doitong.com/images/showcase/v3/gen_sneaker_ad.jpg",
],
"quality": "medium",
}
# Run the model; wait up to 20 s for the finished result in the same call
r = requests.post(API + "/run/openai/gpt-image-2.5/flare/edit", params={"wait": 20}, json=payload, headers=headers)
request = r.json()
if not r.ok:
raise RuntimeError(request["error"]["code"] + ": " + request["error"]["message"])
# Not finished yet: long-poll until it is
while request["status"] in ("queued", "running"):
request = requests.get(API + "/requests/" + request["id"], params={"wait": 20}, headers=headers).json()
if request["status"] != "succeeded":
raise RuntimeError(request["error"])
print([o["url"] for o in request["outputs"]], request["cost"]["credits"], "API credits", "$" + request["cost"]["usd"])
{
"jsonrpc": "2.0",
"id": 1,
"method": "tools/call",
"params": {
"name": "run",
"arguments": {
"model_id": "openai/gpt-image-2.5/flare/edit",
"input": {
"prompt": "Same sneaker, but on a snowy mountain trail in daylight",
"images": [
"https://content.doitong.com/images/showcase/v3/gen_sneaker_ad.jpg"
],
"quality": "medium"
},
"wait_seconds": 20
}
}
}
GPT Image 2.5 Editについて
GPT Image 2.5の編集モードです。変更内容を記述し、最大16枚の参照画像を渡せます。任意で、モデルが描画できる範囲を制限する マスクも指定できます。透明背景、5段階の品質、リクエストあたり最大 10件の結果に対応します。
パラメータ
正式名称またはネイティブ名のいずれか一方を送信してください。両方は送信しないでください。 正式名称
名前型
デフォルト許可される値
説明
prompt必須
型string
≤ 32,000文字
画像生成に使用したプロンプト。
image_urls必須
images
型url[] · image
≤ 16項目
生成用の参照画像URL。最大16枚です。
mask_url任意
mask
型url · image
生成時に編集領域を示すマスク画像のURL。
image_size任意
型object
デフォルトauto
square_hdsquareportrait_4_3portrait_16_9landscape_4_3landscape_16_9auto
出力寸法。'auto'にすると、指定画像から推測されます。
background任意
型enum
デフォルトauto
autotransparentopaque
生成画像の背景。
quality任意
型enum
デフォルトhigh
autolowmediumhighxhighmax
画像品質の選択。'auto'ではモデルに判断を委任します。高い設定ほど詳細が増えますが、レイテンシとトークン使用量も増加します。
num_images任意
num_outputs
型integer
デフォルト1
1 – 10
生成する画像数。
output_format任意
型enum
デフォルトpng
jpegpngwebp
出力画像のファイル形式。
output_compression任意
型integer | null
0 – 100
output_formatが'jpeg'または'webp'の場合のみ使用できる圧縮設定。範囲は0~100です。
必須
正式名称(こちらも使用可能)
ファイルパラメータには、公開されたhttps:// URL、10 MBまでのdata: URI、またはアップロードしたファイルのfile_urlを指定します。 ファイル
出力
GET /requests/req_8k2m4q7x1z9c3v5b6n0p2r4t
{
"id": "req_8k2m4q7x1z9c3v5b6n0p2r4t",
"object": "request",
"model": "openai/gpt-image-2.5/flare/edit",
"status": "succeeded",
"created_at": "2026-10-20T12:00:00Z",
"started_at": "2026-10-20T12:00:02Z",
"completed_at": "2026-10-20T12:00:09Z",
"queue_position": null,
"cost": {
"credits": 120,
"usd": "0.12",
"charged": 120,
"refunded": 0
},
"input": {
"prompt": "Same sneaker, but on a snowy mountain trail in daylight",
"images": [
"https://content.doitong.com/images/showcase/v3/gen_sneaker_ad.jpg"
],
"quality": "medium"
},
"output": {
"images": [
{
"url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
"content_type": "image/jpeg",
"file_name": "0-output.jpeg",
"file_size": 1843200,
"width": 1024,
"height": 768
}
]
},
"outputs": [
{
"type": "image",
"url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
"content_type": "image/jpeg",
"file_size": 1843200,
"width": 1024,
"height": 768,
"stored": true
}
],
"error": null,
"metrics": {
"inference_seconds": 6.8
},
"urls": {
"self": "https://vit.doitong.com/api/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t",
"cancel": "https://vit.doitong.com/api/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t/cancel"
}
}
ファイルの保存期間を選択すべてのoutputs[].urlはストレージ上のコピーです。アカウント設定または?storage=により、永久保存(GB・月単位で有料)または無料で7日保存できます。
すべてのモデルで同じ形式画像、動画、音声のいずれでも、type、url、content_type、width、height、durationが含まれます。outputはモデル独自の結果オブジェクトです。
出力フィールド
- images
- array of object {url, content_type, file_name, file_size, width, height}モデルが生成した画像。
その他のGPT Image 2.5バリアント
その他のモデル: 画像編集
AIエージェント向け:このページのMarkdown版はこちらです: https://doitong.com/ja/developers/models/openai/gpt-image-2.5/flare/edit.md. すべてのモデルとガイド: https://doitong.com/developers/llms.txt










